package com.zjrs.zwnw.bsdb.dto;

import java.util.List;

public class TreeNodeDTO {

    private String title;
    private String value;
    private String key;
    private String pid;
    private Boolean disabled;
    private List<TreeNodeDTO> children;

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public Boolean getDisabled() {
        return disabled;
    }

    public void setDisabled(Boolean disabled) {
        this.disabled = disabled;
    }

    public String getPid() {
        return pid;
    }

    public void setPid(String pid) {
        this.pid = pid;
    }

    public List<TreeNodeDTO> getChildren() {
        return children;
    }

    public void setChildren(List<TreeNodeDTO> children) {
        this.children = children;
    }

    @Override
    public String toString() {
        return "TreeNodeDTO{" +
                "title='" + title + '\'' +
                ", value='" + value + '\'' +
                ", key='" + key + '\'' +
                ", pid='" + pid + '\'' +
                ", disabled=" + disabled +
                ", children=" + children +
                '}';
    }
}
